<?php

defined('MOODLE_INTERNAL') || die();

class block_qruri_edit_form extends block_edit_form {
  protected function specific_definition($mform) {

    // Section header title according to language file.
    $mform->addElement('header', 'configheader', get_string('blocksettings', 'block'));

    $mform->addElement('select', 'config_qrsize', 'QRcode size: ', array(2=>'2',4=>'4',10=>'10'));
    $mform->setDefault('config_qrsize', 4);

    $mform->addElement('text', 'config_qrstring', get_string('qrcode_string', 'block_qruri').': ', array('size' => 50));
  }
}
